#!/bin/bash
while read -r dir
do
    echo "Checking dir '${dir}'..."
    last_file="${dir}/$(ls -ht -- "${dir}/" | grep \.webm\.download_info\.json | head -n1)"
    echo "Last modified file is '${last_file}'"
    filetime="$(jq '.info_dict.filetime' -- "${last_file}" )"
    if [ "${filetime}" != "null" ]; then
        last_file_time_formated=$(date -d "@${filetime}" +%Y%m%d%H%M.%S)
        touch -t "${last_file_time_formated}" -- "${dir}"
    fi
done <<< "$(find . -mindepth 1 -maxdepth 1 -type d)"
